Skip to content

List tax regions

Request

Retrieve all tax regions with basic pagination support

This is a read-only lookup endpoint backed by Hasura. Use it to resolve the taxRegionIds values accepted by the Client Onboarding endpoint (POST /api/v1/clients/v1/onboard).

Security
BearerAuth
Bodyapplication/json
pageSizeinteger, [ 1 .. 1000 ]

Maximum number of records to return

Default:50
pageinteger, >= 0

Number of records to skip (offset)

Default:0
curl -i -X POST \
  https://api.doc.aiwyn.ai/_mock/bundle/gql/v1/tax_regions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pageSize": 50,
    "page": 0
  }'

Responses

Successfully retrieved tax regions

Bodyapplication/json
taxRegionsArray of objects
totalobject
Response
{ "taxRegions": [ {} ], "total": { "aggregate": {} } }